Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# ACE_NS_Node< T > Class Template Reference

Implementation element in a Queue, List, and Stack. More...

`#include <Naming_Service_Container.h>`

Collaboration diagram for ACE_NS_Node< T >:

[legend]
List of all members.

## Public Methods
| ~ACE_NS_Node (void)
| This isn't necessary, but it keeps some compilers happy.
## Private Methods
| ACE_NS_Node (const T &i, ACE_NS_Node< T > *n)
| ACE_NS_Node (ACE_NS_Node< T > *n=0, int=0)
| ACE_NS_Node (const ACE_NS_Node< T > &n)
## Private Attributes
ACE_NS_Node< T > * | next_
| Pointer to next element in the list of <ACE_NS_Node>s.
T | item_
| Current value of the item in this node.
## Friends
class | ACE_Unbounded_List< T >
class | ACE_Unbounded_List_Iterator< T >

## Detailed Description

### template<class T>
class ACE_NS_Node< T >

Implementation element in a Queue, List, and Stack.

## Constructor & Destructor Documentation

template<class T>
ACE_NS_Node< T >::~ACE_NS_Node | ( | void |  | ) |

| This isn't necessary, but it keeps some compilers happy.

template<class T>
ACE_NS_Node< T >::ACE_NS_Node | ( | const T & | i,
|  | ACE_NS_Node< T > * | n
| ) | `[private]`

template<class T>
ACE_NS_Node< T >::ACE_NS_Node | ( | ACE_NS_Node< T > * | n = 0,
|  | int | = 0
| ) | `[private]`

template<class T>
ACE_NS_Node< T >::ACE_NS_Node | ( | const ACE_NS_Node< T > & | n | ) | `[private]`

## Friends And Related Function Documentation

template<class T>
friend class ACE_Unbounded_List< T >`[friend]`

template<class T>
friend class ACE_Unbounded_List_Iterator< T >`[friend]`

## Member Data Documentation

template<class T>
T ACE_NS_Node< T >::item_`[private]`

| Current value of the item in this node.

template<class T>
ACE_NS_Node<T>* ACE_NS_Node< T >::next_`[private]`

| Pointer to next element in the list of <ACE_NS_Node>s.

The documentation for this class was generated from the following files:

- Naming_Service_Container.h
- Naming_Service_Container.cpp